Subject: [Ltru] 2.2.1: definition of "primary language subtag"

From: Peter Constable <[email-masked]>
Date: Mon, 7 Jul 2008 10:51:30 -0700

This wording is somewhat vague:

----------
The primary language subtag is the first subtag in a language tag (with the exception of private use and certain grandfathered tags) and cannot be omitted.
----------

It's not clear if that statement is intended as a definition of "primary language subtag", or as a descriptive statement. If the former, then that defition is vague (*which* grandfathered tags?). If the latter, then "primary language subtag" is nowhere defined.

I assume it's intended as a definition. For that, I suggest the following alternate wording:

----------
The primary language subtag is the first subtag in the language production of the ABNF shown in Section 2.1:

language      = 2*3ALPHA            ; shortest ISO 639 code
                ["-" extlang]       ; sometimes followed by
                                    ;   extended language subtags
              / 4ALPHA              ; or reserved for future use
              / 5*8ALPHA            ; or registered language subtag

Except in the case of private-use tags and certain grandfathered tags, the primary language subtag cannot be omitted.
----------

Then, in points 1 to 8 that follow, there is inconsistency in wording: in some places "primary language subtag"; in other places, "language subtag"; and in others, just "subtags". Better consistency would be good, though not essential, except that I would change "primary subtag" in 6 and 8 to "first subtag": "primary subtag" is too confusable with "primary language subtag", which 6 and 8 are *not* referring to.

Peter
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Tue, 8 Jul 2008 11:00:53 +0200

On Mon, Jul 07, 2008 at 10:51:30AM -0700,
 Peter Constable <[email-masked]> wrote 
 a message of 33 lines which said:

> I assume it's intended as a definition. 

But what's the point of defining "primary language subtag"? What's the
use of this concept? I really wonder if we should suppress it instead.

We find in -15 uses such as:

>        Primary and extended language subtags (other than
>        independently registered values created using the
>        registration process) are created according to the
>        assignments of the various parts of ISO 639,

Which do not seem consistent with the definition because the
definition works only when the "primary language subtag" is part of a
whole tag, while the sentence above talks about isolated subtags.

---

From: "Phillips, Addison" <[email-masked]>
Date: Tue, 8 Jul 2008 10:27:55 -0700

We separately define "primary language subtag" in Section 2.2.1 (as well as extended language subtag in 2.2.2).

This particular form originated from 1766 and has persisted until today in various incarnations. It is useful, I think, to point out the "narrowing" idea, but this form may have outlived its usefulness. I propose we modify it to say:

--
<t>The language tag is composed of one or more parts, known as "subtags". Each subtag consists of a sequence of alphanumeric characters. Subtags are distinguished and separated from one another by a hyphen ("-", ABNF <xref target="RFC5234"/> %x2D) and each subtag refines or narrows the range of languages identified by the overall tag.</t>
--

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Stephane Bortzmeyer
> Sent: Tuesday, July 08, 2008 2:01 AM
> To: Peter Constable
> Cc: LTRU Working Group
> Subject: Re: [Ltru] 2.2.1: definition of "primary language subtag"
>